org.apache.calcite.avatica

## Class Meta.CursorFactory

- java.lang.Object
- - org.apache.calcite.avatica.Meta.CursorFactory

Enclosing interface:
  Meta

    public static final class Meta.CursorFactory
    extends Object

Information necessary to convert an `Iterable` into a `Cursor`.

### Field Summary

Fields
`static Meta.CursorFactory` `ARRAY`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `CLASS_NAME_DESCRIPTOR`
`Class` `clazz`
`List<String>` `fieldNames`
`List<Field>` `fields`
`static Meta.CursorFactory` `LIST`
`static Meta.CursorFactory` `OBJECT`
`Meta.Style` `style`

### Constructor Summary

Constructors
`private` `Meta.CursorFactory(Meta.Style style, Class clazz, List<Field> fields, List<String> fieldNames)`

### Method Summary

Methods
`static Meta.CursorFactory` `create(Meta.Style style, Class clazz, List<String> fieldNames)`
`static Meta.CursorFactory` `deduce(List<ColumnMetaData> columns, Class resultClazz)`
`boolean` `equals(Object o)`
`static Meta.CursorFactory` `fromProto(Common.CursorFactory proto)`
`int` `hashCode()`
`static Meta.CursorFactory` `map(List<String> fieldNames)`
`static Meta.CursorFactory` `record(Class resultClazz)`
`static Meta.CursorFactory` `record(Class resultClass, List<Field> fields, List<String> fieldNames)`
`Common.CursorFactory` `toProto()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLASS_NAME_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor CLASS_NAME_DESCRIPTOR

#### style

    public final Meta.Style style

#### clazz

    public final Class clazz

#### fields

    public final List<Field> fields

#### fieldNames

    public final List<String> fieldNames

#### OBJECT

    public static final Meta.CursorFactory OBJECT

#### ARRAY

    public static final Meta.CursorFactory ARRAY

#### LIST

    public static final Meta.CursorFactory LIST

### Constructor Detail

#### Meta.CursorFactory

    private Meta.CursorFactory(Meta.Style style,
                      Class clazz,
                      List<Field> fields,
                      List<String> fieldNames)

### Method Detail

#### create

    public static Meta.CursorFactory create(Meta.Style style,
                            Class clazz,
                            List<String> fieldNames)

#### record

    public static Meta.CursorFactory record(Class resultClazz)

#### record

    public static Meta.CursorFactory record(Class resultClass,
                            List<Field> fields,
                            List<String> fieldNames)

#### map

    public static Meta.CursorFactory map(List<String> fieldNames)

#### deduce

    public static Meta.CursorFactory deduce(List<ColumnMetaData> columns,
                            Class resultClazz)

#### toProto

    public Common.CursorFactory toProto()

#### fromProto

    public static Meta.CursorFactory fromProto(Common.CursorFactory proto)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`